(function (Drupal, drupalSettings, window) {
  'use strict';

  var __ss_noform = __ss_noform || [];
  __ss_noform.push(['baseURI', drupalSettings.sharpspring_webforms.base_uri]);
  __ss_noform.push(['endpoint', drupalSettings.sharpspring_webforms.endpoint]);
  window.__ss_noform = __ss_noform;

  var sharpspring = drupalSettings.sharpspring || false;

  if (sharpspring) {
    var ss = document.createElement('script');
    ss.type = 'text/javascript';
    ss.async = true;
    ss.src = (document.location.protocol === 'https:' ? 'https://' : 'http://') + sharpspring.domain + '/client/noform.js';
    document.body.appendChild(ss);
  }

})(Drupal, drupalSettings, window);
